# Method: customers.reports.findInstalledAppDevices

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#body.FindInstalledAppDevicesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#body.aspect)
- [Device](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#Device)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#Device.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#try-it)

Generate report of managed Chrome browser devices that have a specified app installed.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:findInstalledAppDevices`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Customer id or "my_customer" to use the customer associated to the account making the request. |

### Query parameters

| Parameters ||
|---|---|
| `orgUnitId` | `string` The ID of the organizational unit. |
| `appId` | `string` Unique identifier of the app. For Chrome apps and extensions, the 32-character id (e.g. ehoadneljpdggcbbknedodolkkjodefl). For Android apps, the package name (e.g. com.evernote). |
| `pageSize` | `integer` Maximum number of results to return. Maximum and default are 100. |
| `pageToken` | `string` Token to specify the page of the request to be returned. |
| `orderBy` | `string` Field used to order results. Supported order by fields: - machine - deviceId |
| `filter` | `string` Query string to filter results, AND-separated fields in EBNF syntax. Note: OR operations are not supported in this filter. Supported filter fields: - last_active_date |
| `appType` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/AppType`)`` Type of the app. Optional. If not provided, an app type will be inferred from the format of the app ID. |

### Request body

The request body must be empty.

### Response body

Response containing a list of devices with queried app installed.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "devices": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#Device`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `devices[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppDevices#Device`)`` A list of devices which have the app installed. Sorted in ascending alphabetical order on the Device.machine field. |
| `nextPageToken` | `string` Token to specify the next page of the request. |
| `totalSize` | `integer` Total number of devices matching request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`

## Device

Describes a device reporting Chrome browser information.

| JSON representation |
|---|
| ``` { "deviceId": string, "machine": string } ``` |

| Fields ||
|---|---|
| `deviceId` | `string` Output only. The ID of the device that reported this Chrome browser information. |
| `machine` | `string` Output only. The name of the machine within its local network. |